package com.steerinfo.ems.trmmaterial.mapper;

import com.steerinfo.ems.trmmaterial.model.TRmMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

@Mapper
public interface TRmMaterialMapper extends IBaseMapper<TRmMaterial, String> {

    List<TRmMaterial> getIdAndName();

    /**
     * 获取ems物料编码
     * @return
     */
    Set<String> getBcode(@Param("materialid") String materialid);

    /**
     * 获取最大值
     */
    String getMaxId();

    /**
     * 获取最大序列
     */
    String getMaxNo();

}